#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xe3b59f5c, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xd2851478, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x7d7883ba, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xf1f5227e, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xeb538ec7, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x93f01cd2, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xa2c805e9, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xf4eccf22, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x831fed48, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x88c5f494, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x7f18b63e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x782627fe, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x2ccc2915, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xe16dd0c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x249e25fe, "input_mt_assign_slots" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbf630869, "devm_request_threaded_irq" },
	{ 0x058eb9de, "devm_kmalloc" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd86d1abe, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x067ae519, "irq_domain_remove" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x13901b20, "input_mt_report_slot_state" },
	{ 0x9bedb134, "device_initialize" },
	{ 0x0ac57690, "devm_input_allocate_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xacab3414, "dev_driver_string" },
	{ 0x9dc403dc, "irq_domain_simple_ops" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xc133d4fa, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x05ae96f5, "irq_set_chip_and_handler_name" },
	{ 0x543cb637, "put_device" },
	{ 0xcb63e673, "handle_simple_irq" },
	{ 0xd3bb8e07, "_dev_info" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2977531e, "bus_unregister" },
	{ 0xc2b45e65, "devm_kfree" },
	{ 0x71077f53, "_dev_err" },
	{ 0xd885cbd0, "device_add" },
	{ 0x79eba705, "input_mt_init_slots" },
	{ 0xdb501c70, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1e4c2d00, "input_set_capability" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x07221d43, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5398f0d2, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x461290b4, "device_del" },
	{ 0x9488ec7f, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xd908ba9c, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x5af353bb, "input_event" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1f762d05, "input_set_abs_params" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2771f86f, "devm_kasprintf" },
	{ 0xe9b8fc27, "sysfs_remove_group" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xee1b713f, "irq_domain_instantiate" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbdd004c, "irq_create_mapping_affinity" },
	{ 0x86917393, "input_alloc_absinfo" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x08f614d1, "param_ops_int" },
	{ 0x138eb846, "_dev_printk" },
	{ 0x28a508e0, "driver_register" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x90e7d0ed, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "89DA5A04ACC6E07A08384E5");
