#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x8647e99d, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x5610aa62, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x5135b7da, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x5ab00e19, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xa7350bd4, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc01d39ef, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x65a765e8, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xe636676b, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xf1d10b1d, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xa1c17398, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xa5e522d9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x6008c893, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0x12cfaf0a, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x4f9798f3, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x4e96c954, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x6be3a189, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xcb220f58, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa88ce888, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x138eb846, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0xc2768784, "crc32c_arch" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xefb41a4b, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x216235eb, "iscsi_put_task" },
	{ 0x93f5f562, "iscsi_conn_failure" },
	{ 0xe69b5233, "iscsi_conn_setup" },
	{ 0x249d5e9f, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe798236d, "jiffies" },
	{ 0x55c60bad, "skb_prepare_seq_read" },
	{ 0xca31e955, "skb_seq_read" },
	{ 0x236c8c64, "memcpy" },
	{ 0x72f9e4cc, "skb_abort_seq_read" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7c5d304c, "__traceiter_iscsi_dbg_tcp" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe06cc163, "iscsi_complete_pdu" },
	{ 0x0025c1e2, "iscsi_verify_itt" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x6831fc01, "iscsi_itt_to_ctask" },
	{ 0xf9b8de92, "iscsi_get_task" },
	{ 0xe4e080ba, "iscsi_update_cmdsn" },
	{ 0x8d120849, "__iscsi_complete_pdu" },
	{ 0xc7881596, "iscsi_requeue_task" },
	{ 0x08f614d1, "param_ops_int" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "F324C706772B0E9CCFFA2A0");
