#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x5c1a260a, "");
SYMBOL_CRC(sas_remove_host, 0x471990f5, "");
SYMBOL_CRC(sas_get_address, 0xe11abac4, "");
SYMBOL_CRC(sas_tlr_supported, 0xbc3e8195, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xf81ae67a, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xbdc63a39, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x227ce968, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x3bafd2d7, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x2695ba09, "");
SYMBOL_CRC(sas_phy_add, 0xf6d99441, "");
SYMBOL_CRC(sas_phy_free, 0x39598b34, "");
SYMBOL_CRC(sas_phy_delete, 0x58fe8813, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xc08a3500, "");
SYMBOL_CRC(sas_port_alloc, 0x98d3f423, "");
SYMBOL_CRC(sas_port_alloc_num, 0x7894556a, "");
SYMBOL_CRC(sas_port_add, 0xa0163a4a, "");
SYMBOL_CRC(sas_port_free, 0x8b49c249, "");
SYMBOL_CRC(sas_port_delete, 0xa305c365, "");
SYMBOL_CRC(scsi_is_sas_port, 0xbe0a1063, "");
SYMBOL_CRC(sas_port_get_phy, 0x63c7d857, "");
SYMBOL_CRC(sas_port_add_phy, 0xfc9155ff, "");
SYMBOL_CRC(sas_port_delete_phy, 0x61daab36, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x70d67f64, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x79ecb05e, "");
SYMBOL_CRC(sas_end_device_alloc, 0x5e9aa933, "");
SYMBOL_CRC(sas_expander_alloc, 0x7d35d4a8, "");
SYMBOL_CRC(sas_rphy_add, 0xd5188aa7, "");
SYMBOL_CRC(sas_rphy_free, 0x13d68d95, "");
SYMBOL_CRC(sas_rphy_delete, 0x221541ec, "");
SYMBOL_CRC(sas_rphy_unlink, 0x21840141, "");
SYMBOL_CRC(sas_rphy_remove, 0xbb8389d0, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xcd3ad97e, "");
SYMBOL_CRC(sas_attach_transport, 0x62639380, "");
SYMBOL_CRC(sas_release_transport, 0x90613a91, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x159e8c7c, "device_for_each_child" },
	{ 0x1072f59c, "scsi_remove_host" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x543cb637, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0xd885cbd0, "device_add" },
	{ 0xd07bb1e9, "transport_add_device" },
	{ 0x9a35df58, "transport_configure_device" },
	{ 0x461290b4, "device_del" },
	{ 0xdb3f92ba, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x53040c04, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdcdb4635, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbf5f6c96, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x01ce374e, "scsi_scan_target" },
	{ 0xccd4c1be, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xecac13a3, "bsg_remove_queue" },
	{ 0x161bcde8, "transport_remove_device" },
	{ 0x7b236c6f, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8ae12211, "transport_class_register" },
	{ 0x3d310f31, "transport_class_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0xfee67940, "attribute_container_register" },
	{ 0x138eb846, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2255e2ab, "attribute_container_unregister" },
	{ 0x45b3222f, "scsi_get_vpd_page" },
	{ 0x6dcce743, "scsi_mode_sense" },
	{ 0xd16aefbb, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd908ba9c, "_dev_warn" },
	{ 0x1a8532b8, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7a1912b5, "dma_opt_mapping_size" },
	{ 0x9bedb134, "device_initialize" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0xbf7f04f2, "transport_setup_device" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
