#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(serdev_device_add, "_gpl", "");
KSYMTAB_FUNC(serdev_device_remove, "_gpl", "");
KSYMTAB_FUNC(serdev_device_open, "_gpl", "");
KSYMTAB_FUNC(serdev_device_close, "_gpl", "");
KSYMTAB_FUNC(devm_serdev_device_open, "_gpl", "");
KSYMTAB_FUNC(serdev_device_write_wakeup, "_gpl", "");
KSYMTAB_FUNC(serdev_device_write_buf, "_gpl", "");
KSYMTAB_FUNC(serdev_device_write, "_gpl", "");
KSYMTAB_FUNC(serdev_device_write_flush, "_gpl", "");
KSYMTAB_FUNC(serdev_device_set_baudrate, "_gpl", "");
KSYMTAB_FUNC(serdev_device_set_flow_control, "_gpl", "");
KSYMTAB_FUNC(serdev_device_set_parity, "_gpl", "");
KSYMTAB_FUNC(serdev_device_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(serdev_device_get_tiocm, "_gpl", "");
KSYMTAB_FUNC(serdev_device_set_tiocm, "_gpl", "");
KSYMTAB_FUNC(serdev_device_break_ctl, "_gpl", "");
KSYMTAB_FUNC(serdev_device_alloc, "_gpl", "");
KSYMTAB_FUNC(serdev_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(serdev_controller_add, "_gpl", "");
KSYMTAB_FUNC(serdev_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__serdev_device_driver_register, "_gpl", "");

SYMBOL_CRC(serdev_device_add, 0xec88ecf7, "_gpl");
SYMBOL_CRC(serdev_device_remove, 0x0fdbedb3, "_gpl");
SYMBOL_CRC(serdev_device_open, 0x0ca3eb9b, "_gpl");
SYMBOL_CRC(serdev_device_close, 0xa7352b5c, "_gpl");
SYMBOL_CRC(devm_serdev_device_open, 0xb0c3e1e4, "_gpl");
SYMBOL_CRC(serdev_device_write_wakeup, 0xff7934de, "_gpl");
SYMBOL_CRC(serdev_device_write_buf, 0xae2afbcd, "_gpl");
SYMBOL_CRC(serdev_device_write, 0xda7294ba, "_gpl");
SYMBOL_CRC(serdev_device_write_flush, 0x06df3502, "_gpl");
SYMBOL_CRC(serdev_device_set_baudrate, 0xfeac1e7d, "_gpl");
SYMBOL_CRC(serdev_device_set_flow_control, 0x97d5a431, "_gpl");
SYMBOL_CRC(serdev_device_set_parity, 0xbf6432b0, "_gpl");
SYMBOL_CRC(serdev_device_wait_until_sent, 0x457f90cb, "_gpl");
SYMBOL_CRC(serdev_device_get_tiocm, 0x6797b982, "_gpl");
SYMBOL_CRC(serdev_device_set_tiocm, 0xeaafc321, "_gpl");
SYMBOL_CRC(serdev_device_break_ctl, 0x72510da8, "_gpl");
SYMBOL_CRC(serdev_device_alloc, 0x504418fb, "_gpl");
SYMBOL_CRC(serdev_controller_alloc, 0x90937465, "_gpl");
SYMBOL_CRC(serdev_controller_add, 0xf1a752ff, "_gpl");
SYMBOL_CRC(serdev_controller_remove, 0x0d388343, "_gpl");
SYMBOL_CRC(__serdev_device_driver_register, 0x08a740c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0xaf3db39c, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x9bedb134, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x159e8c7c, "device_for_each_child" },
	{ 0xa08ed9f4, "__dynamic_dev_dbg" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x84a07674, "device_set_node" },
	{ 0x2977531e, "bus_unregister" },
	{ 0x71077f53, "_dev_err" },
	{ 0xd885cbd0, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x461290b4, "device_del" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xb752f76f, "__devm_add_action" },
	{ 0x28a508e0, "driver_register" },
	{ 0x9697051d, "__dev_fwnode" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x90e7d0ed, "bus_register" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8CFB7B689000B2EE36FED5E");
