#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0x61efc72a, "_gpl");
SYMBOL_CRC(six_relock_ip, 0x54753bd0, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0x4d1f26df, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0x5d40e45f, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0x3770b8f3, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0x35961dcd, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0x9683692b, "_gpl");
SYMBOL_CRC(six_lock_increment, 0xad7255ae, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0xe689c0b0, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x0437fefe, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0x2a230084, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x859ce328, "_gpl");
SYMBOL_CRC(__six_lock_init, 0xd154cf70, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0xcc187985, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x20daccc3, "__bio_release_pages" },
	{ 0xa302ec4a, "generic_shutdown_super" },
	{ 0x413e900d, "bio_associate_blkg" },
	{ 0x7007da0c, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x33af0cc9, "__min_heap_pop" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6b4d6959, "vfs_fsync_range" },
	{ 0x8df2ed4f, "setattr_prepare" },
	{ 0x9a906daf, "memscan" },
	{ 0xc1868d89, "filemap_migrate_folio" },
	{ 0x53d80635, "bdev_file_open_by_path" },
	{ 0x8fc5fec0, "shrinker_alloc" },
	{ 0x839f2eca, "generic_set_sb_d_ops" },
	{ 0xad262b34, "file_check_and_advance_wb_err" },
	{ 0xedbaad2b, "try_module_get" },
	{ 0xc65a51ac, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xd7c7a250, "__min_heapify_all" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x0156e174, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x64a6bf0b, "make_vfsgid" },
	{ 0x53ac5ded, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3dde6051, "clear_inode" },
	{ 0x76c28e38, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x45da8a47, "stack_trace_save_tsk" },
	{ 0x3761d215, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0xef1127df, "param_ops_uint" },
	{ 0x23a29d0d, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4e2671ab, "discard_new_inode" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcf371ed9, "bio_copy_data" },
	{ 0x1b5aa1a2, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x12cabc89, "siphash_2u64" },
	{ 0x9d4a2637, "__folio_batch_release" },
	{ 0xa7de7467, "folio_unlock" },
	{ 0xd71418e4, "vmalloc_to_page" },
	{ 0xa3a5be95, "memmove" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x48129337, "user_path_create" },
	{ 0x487370a2, "fault_in_writeable" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x75500e7e, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xbe62d051, "inode_sb_list_add" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa328391a, "evict_inodes" },
	{ 0x660da662, "user_path_locked_at" },
	{ 0xba0d7e7e, "init_special_inode" },
	{ 0xf05ad1a0, "unregister_filesystem" },
	{ 0xe8f9ed95, "bpf_trace_run6" },
	{ 0x18085aa6, "iov_iter_single_seg_count" },
	{ 0xaf3db39c, "device_unregister" },
	{ 0x41fb68cb, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x4065cb5f, "generic_error_remove_folio" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0xa51bfd9f, "raid6_2data_recov" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xc2093525, "nop_posix_acl_access" },
	{ 0xc0113ddb, "nop_posix_acl_default" },
	{ 0xbd1d0a45, "d_make_root" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0x1c77e220, "__posix_acl_chmod" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0x2e303d40, "__put_task_struct" },
	{ 0xd566933c, "up" },
	{ 0x5a2fe73b, "sync_filesystem" },
	{ 0x9016047c, "closure_wait" },
	{ 0x19203d1f, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0xd7987177, "utf8_load" },
	{ 0xbb786cf2, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xacead468, "d_splice_alias" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x22693f63, "fd_install" },
	{ 0x8e43769e, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0xe4215b32, "fiemap_prep" },
	{ 0x236c8c64, "memcpy" },
	{ 0x0cc0f4c5, "__genradix_prealloc" },
	{ 0x3842623c, "from_vfsuid" },
	{ 0x2e8a526d, "ihold" },
	{ 0x0a95b07c, "page_get_link" },
	{ 0x74a5d751, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7d25f912, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x376ee82d, "invalidate_inode_pages2_range" },
	{ 0x30562058, "finish_open" },
	{ 0xc12ee7ae, "iput" },
	{ 0x6ff11728, "kset_unregister" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x055d6c78, "iter_file_splice_write" },
	{ 0x179e978d, "call_srcu" },
	{ 0x6bd2f854, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd9295039, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x064a0edd, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x2423526e, "register_filesystem" },
	{ 0x220b49ab, "chacha_crypt_arch" },
	{ 0x35ed7f31, "__tracepoint_contention_end" },
	{ 0x69912973, "bdev_thaw" },
	{ 0xf1f069fc, "sync_inode_metadata" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x6df126ce, "filemap_add_folio" },
	{ 0x84351b0f, "path_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0x84966b90, "kthread_use_mm" },
	{ 0xc949629f, "vfs_setpos" },
	{ 0x96f2be72, "bio_iov_iter_get_pages" },
	{ 0x746f19e0, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x2718bd6a, "make_vfsuid" },
	{ 0x1af06fe7, "d_prune_aliases" },
	{ 0x2d832cbf, "utf8_casefold" },
	{ 0x6d322c68, "wake_up_process" },
	{ 0x8446b3c1, "shrinker_free" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xffdd87ab, "filemap_fdatawrite_range_kick" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x512dea61, "d_mark_dontcache" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x18efd32f, "raid6_datap_recov" },
	{ 0xb1de5938, "inode_newsize_ok" },
	{ 0xf843c293, "lock_two_nondirectories" },
	{ 0x29789394, "empty_zero_page" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x24ff6e61, "mnt_want_write_file" },
	{ 0xe9379e8a, "__traceiter_contention_end" },
	{ 0x92997ed8, "_printk" },
	{ 0xef4ee45d, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x08c26301, "get_state_synchronize_srcu" },
	{ 0x21a2594b, "make_kprojid" },
	{ 0xc763b40c, "__genradix_iter_peek_prev" },
	{ 0x7b839768, "bool_names" },
	{ 0x3c531813, "zstd_is_error" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0x167cde82, "make_kuid" },
	{ 0x65dbe372, "truncate_inode_pages_final" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x6fe7cbef, "fs_kobj" },
	{ 0x1411df3d, "srcu_barrier" },
	{ 0xb1022c42, "bio_add_folio" },
	{ 0x9274c60d, "__filemap_set_wb_err" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x3159c539, "shrinker_register" },
	{ 0x77bd2494, "__filemap_get_folio" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0xf3945fcd, "poly1305_final_generic" },
	{ 0x5b60a167, "__free_pages" },
	{ 0x5b77e187, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xf1456097, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe3917cfa, "submit_bio" },
	{ 0xaeb77d3f, "mnt_drop_write_file" },
	{ 0xadb86a25, "module_put" },
	{ 0x3837690b, "__destroy_inode" },
	{ 0xbf5f6c96, "sysfs_create_link" },
	{ 0xaa3fdcee, "copy_page_from_iter_atomic" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf1f31b8a, "__min_heap_peek" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x035dbbd1, "inode_init_once" },
	{ 0xe24662bd, "bioset_exit" },
	{ 0xeb031848, "file_write_and_wait_range" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x43d9ba52, "fault_in_readable" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x4e8e2703, "zstd_decompress_dctx" },
	{ 0x711d75eb, "__min_heap_sift_down" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xb8369db3, "mempool_alloc_noprof" },
	{ 0xb9265631, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x12eff715, "bio_put" },
	{ 0xa7616cfe, "percpu_up_write" },
	{ 0xd4a3a1a1, "bio_endio" },
	{ 0x85815d08, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x01accbda, "posix_acl_create" },
	{ 0x3e8e7c21, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xacd0b531, "init_srcu_struct" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0xaa4b44d3, "__bio_advance" },
	{ 0xa29b91b2, "inode_bit_waitqueue" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x3054b5b8, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x21a466e5, "shrink_dcache_sb" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0xc85c8a17, "thp_get_unmapped_area" },
	{ 0xdcdb4635, "sysfs_remove_link" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x0bf5e24b, "set_cached_acl" },
	{ 0xcf0afbfb, "copy_to_user_nofault" },
	{ 0x08deb27e, "truncate_pagecache" },
	{ 0x8dbc6986, "__srcu_read_lock" },
	{ 0xeac35862, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4d05d6ae, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x25590e77, "device_create" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd9a162ba, "closure_put" },
	{ 0xe76c61fa, "page_symlink" },
	{ 0x2cabe7c1, "bpf_trace_run5" },
	{ 0x4fa3a5a0, "bdev_fput" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x71dea69f, "__min_heap_del" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb0f8d496, "write_cache_pages" },
	{ 0x408396a5, "file_update_time" },
	{ 0x77651832, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x30651017, "kmem_cache_alloc_lru_noprof" },
	{ 0x738fbf54, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xa95faf42, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0xc771b0d3, "posix_acl_alloc" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x1971257b, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x1e786052, "bio_kmalloc" },
	{ 0x9bf92863, "from_kgid" },
	{ 0x52db1a14, "zstd_init_dctx" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x7aab92de, "folio_mkclean" },
	{ 0xf3808cb1, "get_state_synchronize_rcu" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0xc1d15353, "__traceiter_contention_begin" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0x08c997b1, "bdev_freeze" },
	{ 0x3c9cb81b, "blkdev_issue_zeroout" },
	{ 0x824f6f7b, "file_remove_privs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x62eec1d5, "panic" },
	{ 0xe37347db, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x006eb8f4, "sget" },
	{ 0x16cf1500, "zero_fill_bio_iter" },
	{ 0x3938e770, "bio_add_page" },
	{ 0xa138364c, "from_vfsgid" },
	{ 0x8950a825, "class_unregister" },
	{ 0xc2adbb72, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7d62e9a4, "folio_wait_stable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2a9c8157, "cleanup_srcu_struct" },
	{ 0x604142d6, "__audit_inode_child" },
	{ 0xadcf9daa, "d_obtain_alias" },
	{ 0xd320b67a, "file_modified" },
	{ 0x3eebd2c9, "kthread_stop" },
	{ 0x3142c70b, "__min_heap_push" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xcc481e8a, "bio_check_pages_dirty" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3dccfbd0, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x26408df6, "__folio_start_writeback" },
	{ 0x01de239d, "bio_set_pages_dirty" },
	{ 0x49e6c606, "bpf_trace_run1" },
	{ 0xbfaefc82, "bpf_trace_run9" },
	{ 0xaac3da6c, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0xf1bc34c6, "folio_end_writeback" },
	{ 0x7435bb37, "sync_inodes_sb" },
	{ 0x6750cebe, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xcb15fa42, "bio_init" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xdcf84646, "sort_r" },
	{ 0xa3d6c108, "synchronize_srcu_expedited" },
	{ 0x1c04a93c, "bio_alloc_clone" },
	{ 0x3e193101, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x0a384a8c, "closure_sub" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x0f3b8882, "rht_bucket_nested_insert" },
	{ 0xa71d8778, "generic_remap_file_range_prep" },
	{ 0x9c4f3c01, "zstd_init_cctx" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x89621b96, "__genradix_iter_peek" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x51b8a254, "bio_reset" },
	{ 0x92909ac7, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa9a6f526, "in_group_or_capable" },
	{ 0xe0d98b31, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0xd7219de2, "poly1305_update_generic" },
	{ 0x032329bc, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x442deaa9, "poll_state_synchronize_rcu" },
	{ 0x1dfc0180, "__kmem_cache_create_args" },
	{ 0x15b89b29, "__closure_sync_timeout" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x5ded31e9, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x65d663e7, "nonseekable_open" },
	{ 0x9d5c3ab0, "bio_free_pages" },
	{ 0x8b778b14, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x83861cf3, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x6ca94808, "__genradix_ptr_alloc" },
	{ 0x76426845, "strncpy_from_user" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x48f6905b, "zstd_dctx_workspace_bound" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x56c5877e, "super_setup_bdi" },
	{ 0x3c0f261f, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x622e73aa, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x695aa758, "kobject_del" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0x81a1eb59, "utf8_unload" },
	{ 0xf74300d7, "arch_vcpu_is_preempted" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b63c1ff, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf6d47219, "bio_copy_data_iter" },
	{ 0x7592cdce, "bioset_init" },
	{ 0x2ffaa30d, "init_user_ns" },
	{ 0x24652a72, "request_key_tag" },
	{ 0x997a1cb6, "__register_chrdev" },
	{ 0x7952225c, "__folio_put" },
	{ 0xbcdb06e7, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0xe39b2ea5, "sha256" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xcaf6e9f0, "sort_nonatomic" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76c9b9c3, "seq_printf" },
	{ 0x31d4e581, "poly1305_init_generic" },
	{ 0x9633f35f, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0dce2a5c, "crc64_be_generic" },
	{ 0x0d468ae7, "deactivate_locked_super" },
	{ 0x3fb5868a, "touch_atime" },
	{ 0xd34e2e6e, "filemap_read" },
	{ 0x8cfc6d46, "__percpu_down_read" },
	{ 0xc8912da8, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x598901ee, "debugfs_create_file_full" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0x5e7404cf, "posix_acl_update_mode" },
	{ 0x4acdcd82, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x8c69bc2b, "alloc_pages_noprof" },
	{ 0x847cb633, "__folio_lock" },
	{ 0x2f8fdf4a, "filemap_dirty_folio" },
	{ 0xee650e92, "is_bad_inode" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x91955a9f, "start_poll_synchronize_rcu" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb8a2eaca, "rcuwait_wake_up" },
	{ 0xc2768784, "crc32c_arch" },
	{ 0x742abacb, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8ef4512a, "inode_init_always_gfp" },
	{ 0x9d8d491c, "filemap_splice_read" },
	{ 0x88167da6, "kthread_unuse_mm" },
	{ 0xa5cb2b9a, "done_path_create" },
	{ 0xc4a83cc3, "zstd_cctx_workspace_bound" },
	{ 0x08c06878, "__seq_puts" },
	{ 0xa29fa3c4, "key_type_user" },
	{ 0x48a5347a, "d_parent_ino" },
	{ 0x08456553, "match_string" },
	{ 0x54a084cb, "filemap_write_and_wait_range" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xad74f942, "generic_file_llseek_size" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0xf3b7117f, "closure_return_sync" },
	{ 0x812f78eb, "xxh64_update" },
	{ 0x7a5ec102, "iov_iter_revert" },
	{ 0xe9f6ffe0, "generic_write_checks" },
	{ 0xef66a7d8, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1dc1a38a, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x41e3fa65, "d_invalidate" },
	{ 0xca6eb0e6, "debugfs_create_dir" },
	{ 0x9c561410, "generic_file_llseek" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x7abc109e, "make_bad_inode" },
	{ 0x14416226, "bio_alloc_bioset" },
	{ 0x0332c029, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31ec657f, "__kvmalloc_node_noprof" },
	{ 0x061a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x555ccb97, "up_read" },
	{ 0x0a340d99, "iov_iter_npages" },
	{ 0x9ba406f7, "zstd_compress_cctx" },
	{ 0x52187689, "submit_bio_wait" },
	{ 0x858b1ff3, "class_register" },
	{ 0x28bfe376, "kmem_cache_free_bulk" },
	{ 0xf672e603, "fault_in_iov_iter_readable" },
	{ 0x800532e4, "__tracepoint_contention_begin" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x88ca2020, "start_poll_synchronize_srcu" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x107adcdf, "inode_set_ctime_to_ts" },
	{ 0x4012df4f, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x0c904c5b, "mempool_exit" },
	{ 0x3eef5ebc, "fs_bio_set" },
	{ 0x742e3409, "kmem_cache_destroy" },
	{ 0x8a233393, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x677af115, "kset_create_and_add" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1f61b515, "blkdev_issue_discard" },
	{ 0x60c19c17, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "raid6_pq,lz4_compress,lz4hc_compress,xor");


MODULE_INFO(srcversion, "71572284D4E8182D91F7161");
