#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x90f9d702, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xaee02165, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x255a9d68, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x1836f280, "");
SYMBOL_CRC(gss_mech_put, 0x39f79bf4, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x5e6a33be, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x305ecc90, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2e7ec9f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xedbaad2b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0x900664bf, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x030511a5, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x76c28e38, "bpf_trace_run4" },
	{ 0x9deb82dc, "xdr_stream_decode_opaque_auth" },
	{ 0xef1127df, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa5b1dd0f, "xdr_write_pages" },
	{ 0xad83b8df, "rpc_shutdown_client" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xdebbd920, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdd0ff068, "xdr_inline_decode" },
	{ 0x9b45137b, "cache_create_net" },
	{ 0x9a248e75, "rpcauth_destroy_credcache" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0xe8f9ed95, "bpf_trace_run6" },
	{ 0x4f2c0d47, "rpc_net_ns" },
	{ 0x9335a82b, "read_bytes_from_xdr_buf" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x2e7db574, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xa9f8dff2, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x6bd2f854, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x902a230b, "xdr_truncate_decode" },
	{ 0xe97dd9ba, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x182667e0, "__xdr_commit_encode" },
	{ 0xd9295039, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xa3d798d7, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x49c0e54c, "__put_cred" },
	{ 0x6088ab71, "register_pernet_subsys" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0xf1f381ad, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xc7b851f8, "rpc_release_client" },
	{ 0xa795eafa, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe7d8ce06, "svc_auth_register" },
	{ 0x6c31f794, "xdr_stream_encode_opaque_auth" },
	{ 0x167cde82, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc10b4ee7, "rpc_destroy_pipe_data" },
	{ 0x5b60a167, "__free_pages" },
	{ 0x26249669, "rpc_pipe_generic_upcall" },
	{ 0xadb86a25, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x0997f59c, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb46d60f2, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd80628b1, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x6192223a, "rpcauth_init_credcache" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc0e43c65, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xff89ba91, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0x43ab2fe5, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x1b0e6eb7, "rpc_sleep_on_timeout" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x0bbe9236, "rpc_create" },
	{ 0x49e6c606, "bpf_trace_run1" },
	{ 0xe2841644, "rpc_call_sync" },
	{ 0x6750cebe, "from_kuid" },
	{ 0x0fa32659, "unregister_pernet_subsys" },
	{ 0xa15d8371, "rpc_queue_upcall" },
	{ 0x394c2c6a, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x3fe36710, "cache_check" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x4627cfb0, "svcauth_unix_set_client" },
	{ 0xd1527d88, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x032329bc, "make_kgid" },
	{ 0x9af2bcbf, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xbedd8319, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x65d663e7, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x83861cf3, "bpf_trace_run3" },
	{ 0x4e5f8da6, "__put_net" },
	{ 0x4b01ddab, "rpc_mkpipe_dentry" },
	{ 0x2f024985, "rpc_mkpipe_data" },
	{ 0x270f93b9, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xd7921116, "cache_register_net" },
	{ 0x2ffaa30d, "init_user_ns" },
	{ 0x68f2eab9, "xdr_inline_pages" },
	{ 0x7952225c, "__folio_put" },
	{ 0x135c7e61, "remove_proc_entry" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xca5ec78d, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8c69bc2b, "alloc_pages_noprof" },
	{ 0x65e035e0, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x78c8470b, "rpcauth_wrap_req_encode" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x1cf9c244, "from_kuid_munged" },
	{ 0x129a27f0, "rpcauth_init_cred" },
	{ 0x36a7a0b1, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf69b9136, "cache_destroy_net" },
	{ 0xd01956ea, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xaffc58de, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xa7e197a6, "sunrpc_cache_update" },
	{ 0x14140aee, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8c93752d, "auth_domain_put" },
	{ 0x46ddeda3, "rpcauth_unwrap_resp_decode" },
	{ 0x48bf2982, "rpcauth_register" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D5FC69697817F652A2F17F1");
