#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x6e399794, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x3c6ff66a, "_gpl");
SYMBOL_CRC(tls_get_record, 0x9f74cd46, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x5662c79b, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xa8387a44, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec9ed5da, "memcpy_to_scatterwalk" },
	{ 0x31ff0aa5, "sk_msg_free" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2e209aa4, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5163f597, "tcp_read_sock" },
	{ 0x76c28e38, "bpf_trace_run4" },
	{ 0x3da8d508, "skb_copy_bits" },
	{ 0x2cf5a30b, "sk_page_frag_refill" },
	{ 0xf1c5de83, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfd67e01f, "tcp_sendmsg_locked" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xaea13b84, "consume_skb" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0x21b0e002, "sk_psock_msg_verdict" },
	{ 0xe8f9ed95, "bpf_trace_run6" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0x630f63b4, "_raw_write_lock_bh" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0x132882ad, "iov_iter_get_pages2" },
	{ 0x22ec5bfb, "___pskb_trim" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0xd11bac17, "check_zeroed_user" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xd21dbf78, "clean_acked_data_enable" },
	{ 0x7b1a905b, "skb_splice_bits" },
	{ 0x529b7a3e, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x6654fd6b, "crypto_aead_setauthsize" },
	{ 0x69aa5ed9, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x3c43fd93, "sk_stream_error" },
	{ 0x684d9d45, "sk_msg_recvmsg" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xd0a4aaff, "sk_msg_memcopy_from_iter" },
	{ 0xb72850e2, "sk_error_report" },
	{ 0x6088ab71, "register_pernet_subsys" },
	{ 0x68f1b795, "put_cmsg" },
	{ 0x870d26fa, "__sk_flush_backlog" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0xd45fd049, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x92997ed8, "_printk" },
	{ 0xef4ee45d, "_raw_spin_lock_irq" },
	{ 0x8c8f8d8d, "sk_psock_tls_strp_read" },
	{ 0xe6f51b41, "sk_msg_clone" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x90eb062c, "__alloc_skb" },
	{ 0xa0cd377c, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x07d26fa6, "iov_iter_extract_pages" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x8d7112ba, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd4225b83, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xf50ddac7, "__traceiter_sk_data_ready" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xd2510a63, "up_write" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x42632f5b, "crypto_aead_encrypt" },
	{ 0x9c842324, "sk_skb_reason_drop" },
	{ 0x2cabe7c1, "bpf_trace_run5" },
	{ 0x95a4e772, "sk_free" },
	{ 0x518f312d, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6ecc607e, "mem_section" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x0deea552, "__sk_mem_reclaim" },
	{ 0x0f024c23, "sk_stream_wait_memory" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0xd81750c3, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb0aa5b67, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xc8aba9cd, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe441d44b, "sk_msg_return_zero" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x633e5665, "skb_copy_datagram_iter" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x49e6c606, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0fa32659, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x1c0896ab, "sock_efree" },
	{ 0xd44574cb, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe4cab467, "kfree_skb_list_reason" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5bc988da, "clean_acked_data_disable" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x6a1b5d5f, "sk_msg_free_partial" },
	{ 0x103bafd6, "down_read" },
	{ 0xe201be4e, "skb_trim" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x639fe69b, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x689e07de, "tcp_register_ulp" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x83861cf3, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xd6b16c3f, "sk_psock_drop" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6454ea08, "skb_page_frag_refill" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc0202cd5, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7952225c, "__folio_put" },
	{ 0x135c7e61, "remove_proc_entry" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x76c9b9c3, "seq_printf" },
	{ 0x7796300e, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2d70620b, "skb_clone" },
	{ 0x602dcaed, "dst_release" },
	{ 0xa7607ef6, "_copy_from_iter" },
	{ 0x2183760c, "skb_copy_header" },
	{ 0x68ce44bc, "sk_msg_trim" },
	{ 0x8c69bc2b, "alloc_pages_noprof" },
	{ 0xc2291a2f, "memcpy_from_scatterwalk" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x5ce06779, "netdev_sk_get_lowest_dev" },
	{ 0x906f5a70, "sk_msg_alloc" },
	{ 0x575530a8, "scatterwalk_skip" },
	{ 0xc7c7d9ec, "_copy_from_iter_nocache" },
	{ 0x588de270, "tcp_rate_check_app_limited" },
	{ 0x1a6920e3, "tcp_poll" },
	{ 0x7a5ec102, "iov_iter_revert" },
	{ 0x6e971e22, "sk_msg_zerocopy_from_iter" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x5ea578ee, "skb_to_sgvec" },
	{ 0x555ccb97, "up_read" },
	{ 0x0a340d99, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xb8174bb5, "tcp_read_done" },
	{ 0xe682c758, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "048883830AECAFB80768B8F");
