#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xb9a58cb5, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x1f810016, "");
SYMBOL_CRC(team_options_register, 0x0cd4a8d9, "");
SYMBOL_CRC(team_options_unregister, 0xb0d67894, "");
SYMBOL_CRC(team_option_inst_set_change, 0x17a4c9b3, "");
SYMBOL_CRC(team_options_change_check, 0x1a5d24e4, "");
SYMBOL_CRC(team_mode_register, 0x8d9ec1d1, "");
SYMBOL_CRC(team_mode_unregister, 0x6646e904, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc32c0cda, "dev_set_mtu" },
	{ 0xedbaad2b, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xff3c2049, "__nlmsg_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xaea13b84, "consume_skb" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x4a2e2c8b, "rtnl_link_register" },
	{ 0x4ed023b4, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x22bcd2fa, "dev_uc_sync_multiple" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f6df8ca, "dev_set_promiscuity" },
	{ 0x99f86df5, "netdev_warn" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xde78297d, "dev_uc_unsync" },
	{ 0x2afe9611, "ether_setup" },
	{ 0xe831f73b, "netlink_broadcast_filtered" },
	{ 0xcb3f10fe, "netdev_err" },
	{ 0x1e76391c, "dev_addr_mod" },
	{ 0xa295c95b, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x91b671ef, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x90eb062c, "__alloc_skb" },
	{ 0xadb86a25, "module_put" },
	{ 0x1dc8fd95, "dev_uc_flush" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xbb41d2fa, "dev_open" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x0983bb4a, "rtnl_link_unregister" },
	{ 0x4dea1053, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb39da93b, "dev_mc_flush" },
	{ 0x9c842324, "sk_skb_reason_drop" },
	{ 0xa0ec8f87, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x73c81a45, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x066251b7, "dev_close" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb17c7514, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0c18eaec, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9b0adb0f, "__ethtool_get_link_ksettings" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xc6a6f1b5, "dev_set_mac_address" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xda56718a, "netdev_has_upper_dev" },
	{ 0x49e1fee7, "netdev_change_features" },
	{ 0x3200b77e, "netdev_lower_state_changed" },
	{ 0x701a9bda, "netdev_master_upper_dev_link" },
	{ 0x294300fc, "vlan_vids_add_by_dev" },
	{ 0xe201be4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa766596b, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3ef03ebd, "vlan_vids_del_by_dev" },
	{ 0x09744eab, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x70517fb2, "vlan_vid_add" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb482c7df, "call_netdevice_notifiers" },
	{ 0x9a1d237e, "vlan_vid_del" },
	{ 0x5fed48b7, "dev_set_allmulti" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf32411d9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2d70620b, "skb_clone" },
	{ 0x8738e986, "netif_carrier_on" },
	{ 0x477a250a, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3d6ca9fd, "netdev_rx_handler_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x728bdfb3, "genl_unregister_family" },
	{ 0xd29c124d, "dev_disable_lro" },
	{ 0x5da38785, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x5fb15f27, "dev_mc_unsync" },
	{ 0x01ef571d, "genl_register_family" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x83be5d8f, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc982d12b, "dev_mc_sync_multiple" },
	{ 0x39064a5f, "register_netdevice" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65A39C9AA3C4693D5C9F856");
