#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x0702027d, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x800854eb, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x10aa0eaf, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x4142c164, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xe542d768, "__skb_checksum_complete" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x3da8d508, "skb_copy_bits" },
	{ 0xff3c2049, "__nlmsg_put" },
	{ 0x55ae77eb, "netdev_adjacent_change_commit" },
	{ 0x3951f961, "eth_mac_addr" },
	{ 0xf1c5de83, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x02a1dc02, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3f9ba160, "ip6_dst_hoplimit" },
	{ 0x5763f372, "param_ops_ushort" },
	{ 0xaea13b84, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x52318d84, "udp_sock_create4" },
	{ 0xe40c1088, "udp_tunnel6_xmit_skb" },
	{ 0x4a2e2c8b, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4c5d4a7a, "__unregister_nexthop_notifier" },
	{ 0x8a5452ef, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xee435ec8, "eth_validate_addr" },
	{ 0x44b7096e, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x40396be5, "rtnl_create_link" },
	{ 0x234dfef0, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x014ce157, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x2afe9611, "ether_setup" },
	{ 0x471f6f5a, "udp_tunnel_drop_rx_port" },
	{ 0xf6fc401c, "netdev_upper_dev_link" },
	{ 0xfa35e5ce, "pskb_expand_head" },
	{ 0x6088ab71, "register_pernet_subsys" },
	{ 0x1e76391c, "dev_addr_mod" },
	{ 0xfb667715, "eth_type_trans" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x90eb062c, "__alloc_skb" },
	{ 0xe1568b2c, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xfda0897d, "eth_gro_complete" },
	{ 0x8eeafe7f, "rtnl_set_sk_err" },
	{ 0x88fb23d8, "eth_gro_receive" },
	{ 0x8e18341a, "rtnl_configure_link" },
	{ 0x86b79c65, "skb_tunnel_check_pmtu" },
	{ 0xfaa031c5, "udp_tunnel_dst_lookup" },
	{ 0x7e8dc4a8, "rtnl_unicast" },
	{ 0x3bc4e4d6, "peernet2id" },
	{ 0x336cd516, "__skb_get_hash_net" },
	{ 0xa500c53c, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x650c8042, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x0983bb4a, "rtnl_link_unregister" },
	{ 0x80620dbb, "ipv6_stub" },
	{ 0x89b46e28, "skb_pull" },
	{ 0x24132f4b, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c842324, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x29030d01, "dev_get_by_index_rcu" },
	{ 0x9110a018, "gro_cells_receive" },
	{ 0x7ee6ea0a, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xb17c7514, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x93f14eec, "__rtnl_register_many" },
	{ 0xdf0b0967, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6ece063a, "ip_mc_join_group" },
	{ 0x2bd75c4c, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xc8aba9cd, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0c18eaec, "ethtool_op_get_link" },
	{ 0xa40e2614, "nexthop_find_by_id" },
	{ 0xc998f48a, "arp_create" },
	{ 0x9b0adb0f, "__ethtool_get_link_ksettings" },
	{ 0x6b4e7101, "netdev_adjacent_change_prepare" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x0fa32659, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x0f3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe7d398e6, "netdev_adjacent_change_abort" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x0e5b40a3, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xaeb6a50a, "udp_tunnel6_dst_lookup" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe7bec776, "__iptunnel_pull_header" },
	{ 0x93b0037c, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x0e18215e, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x6a422361, "setup_udp_tunnel_sock" },
	{ 0x5b1e8b1f, "udp_sock_create6" },
	{ 0xe201be4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa766596b, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc5d5d1f0, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x017cf3b2, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x492b22b9, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc8189880, "neigh_destroy" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b63c1ff, "param_ops_bool" },
	{ 0x1250c059, "udp_tun_rx_dst" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x23b4809a, "rtnl_notify" },
	{ 0x92374574, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1d5cdbf9, "__netif_rx" },
	{ 0x2d70620b, "skb_clone" },
	{ 0x3347969f, "metadata_dst_alloc" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x602dcaed, "dst_release" },
	{ 0x58b6ad6b, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x8020d501, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1c4c9139, "register_nexthop_notifier" },
	{ 0x7d6a9dbb, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd6307ee1, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x061a6a17, "rht_bucket_nested" },
	{ 0x8e40fd40, "gro_find_receive_by_type" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x83be5d8f, "netdev_info" },
	{ 0xf7de2587, "neigh_lookup" },
	{ 0xe682c758, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x39064a5f, "register_netdevice" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "EEA2E4F299B659B2EF66AB7");
