#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_revoke_tls_key, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x2609a4d8, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa5968624, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x0d8ff55c, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x1ab80601, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0xcc5bb81f, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xd9c12ee5, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x12142c6c, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xd7e49f42, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xd237f0e1, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0xbefcaedf, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x445a49c3, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x758b41e0, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xc64f06d0, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x691ecb07, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xe6b126cd, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x3d50f21f, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x33cec73a, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0xf78d7ba6, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x73e28a52, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0xf4e42273, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x1f924c4b, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xff461052, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x6ade1c5f, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x02b3b61c, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x892c711b, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x3b609dda, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x42e53b4c, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x1f096ed7, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xdfc3af77, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x5763c922, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x8360223b, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x01ad64de, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xe1ef512e, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xc62585a9, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x240c1489, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x9988723f, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xacd71f29, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0xb91f6063, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x28a9587e, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xb175d754, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xc31b782e, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x90d5f198, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x21393f57, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x9518e824, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x761cda31, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x0aa62ab5, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xd829b312, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x8153a793, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0xba329907, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x6128c0e5, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xb564a931, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2115ce52, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xa8f32264, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x2c31c7c6, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x27543d80, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0xe1a370eb, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x0bae7a96, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x0faad754, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xe1684051, "_gpl");
SYMBOL_CRC(nvme_auth_revoke_tls_key, 0x338b0298, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x83ac65d6, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xe9dd7521, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x24fc9bee, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x3cde95d3, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xf6df8ced, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x09e81e39, "set_capacity_and_notify" },
	{ 0x413e900d, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xf3892f41, "set_disk_ro" },
	{ 0xdf31a514, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xedbaad2b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0x3422849f, "blk_rq_integrity_map_user" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xcc0311c4, "device_remove_file_self" },
	{ 0xef1127df, "param_ops_uint" },
	{ 0x213a0656, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0xf30335cf, "bio_split_to_limits" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x4d87edc2, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa65fbb1d, "blk_mq_tagset_wait_completed_request" },
	{ 0x35e63f13, "cdev_device_del" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xaa74d3b4, "queue_limits_stack_bdev" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x11f98e05, "should_fail" },
	{ 0x9bedb134, "device_initialize" },
	{ 0x0673da25, "blk_mq_unquiesce_queue" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x1d00b158, "blk_mq_quiesce_queue" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7ae4bb7c, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x037a0cba, "kfree" },
	{ 0x57e180c6, "__traceiter_block_bio_remap" },
	{ 0x139a29b0, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6bd2f854, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x906c565f, "nvme_auth_generate_digest" },
	{ 0x84e4ec1a, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xf016b6c4, "synchronize_srcu" },
	{ 0x2fa03e64, "param_ops_byte" },
	{ 0x53040c04, "get_device" },
	{ 0x3924936b, "blk_mq_end_request" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x0e6d9b1e, "__blk_mq_alloc_disk" },
	{ 0xa08ed9f4, "__dynamic_dev_dbg" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x8d9a0326, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbc809111, "blk_mq_alloc_tag_set" },
	{ 0xf633ec74, "blk_rq_is_poll" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0xd45fd049, "crypto_destroy_tfm" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xef4ee45d, "_raw_spin_lock_irq" },
	{ 0x2a056b63, "put_disk" },
	{ 0xfaa63a71, "crypto_alloc_kpp" },
	{ 0x27180226, "cdev_device_add" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1783316f, "blk_execute_rq" },
	{ 0x543cb637, "put_device" },
	{ 0x218a03c3, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xf767934b, "nvme_tls_psk_refresh" },
	{ 0x4efa9608, "blk_mq_free_request" },
	{ 0xa96014bc, "nvme_auth_derive_tls_psk" },
	{ 0x5b60a167, "__free_pages" },
	{ 0xd3bb8e07, "_dev_info" },
	{ 0xf54b9ee3, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xadb86a25, "module_put" },
	{ 0xbf5f6c96, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x6b87b978, "nvme_auth_gen_pubkey" },
	{ 0x47c5c33d, "compat_ptr_ioctl" },
	{ 0xe49a7d54, "sysfs_remove_link_from_group" },
	{ 0xfe9d180e, "blk_rq_poll" },
	{ 0x617ba7db, "blk_mq_quiesce_tagset" },
	{ 0xb8369db3, "mempool_alloc_noprof" },
	{ 0xb9265631, "key_put" },
	{ 0x48929c64, "kobject_uevent_env" },
	{ 0xd4a3a1a1, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xacd0b531, "init_srcu_struct" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0x71077f53, "_dev_err" },
	{ 0x394a33c7, "blk_revalidate_disk_zones" },
	{ 0x69ee867d, "debugfs_create_bool" },
	{ 0x38395887, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd885cbd0, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x4d2f7ebd, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xdcdb4635, "sysfs_remove_link" },
	{ 0xf4172c94, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8dbc6986, "__srcu_read_lock" },
	{ 0x5de9654d, "hwmon_device_register_with_info" },
	{ 0x6763af6d, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0x9e6c34ae, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6b13311a, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x9a2fcbe6, "nvme_auth_generate_psk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x34af05fd, "blk_sync_queue" },
	{ 0xf61aa850, "bdev_start_io_acct" },
	{ 0xa95faf42, "debugfs_remove" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x8a6fd788, "blk_mq_alloc_request_hctx" },
	{ 0x6c18e34e, "__io_uring_cmd_do_in_task" },
	{ 0x0a263e68, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x09469cee, "crypto_shash_update" },
	{ 0x8950a825, "class_unregister" },
	{ 0x7c18fc44, "blk_mq_free_tag_set" },
	{ 0xa6ac2b49, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2a9c8157, "cleanup_srcu_struct" },
	{ 0x283db835, "blk_freeze_queue_start_non_owner" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0xb81a2bd5, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc95f5df1, "blk_put_queue" },
	{ 0x49e6c606, "bpf_trace_run1" },
	{ 0x461290b4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xd908ba9c, "_dev_warn" },
	{ 0xaec989c4, "__kmalloc_cache_node_noprof" },
	{ 0x5f5bc5da, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x84297e2a, "blk_mq_wait_quiesce_done" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x98563222, "key_revoke" },
	{ 0xf155e8a1, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa08fc952, "debugfs_create_x16" },
	{ 0x1dfc0180, "__kmem_cache_create_args" },
	{ 0x3cfa4eec, "io_uring_cmd_done" },
	{ 0x59c8d60b, "blk_rq_unmap_user" },
	{ 0x283f5e47, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf0133e72, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x0489a0a5, "nvme_auth_generate_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x83861cf3, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa011ae63, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0xfc7a9746, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b63c1ff, "param_ops_bool" },
	{ 0x8db2eef9, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x54c54d65, "blk_freeze_queue_start" },
	{ 0x1853c22b, "xa_find" },
	{ 0x51b50308, "disk_live" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x2fa403b1, "blk_mq_alloc_queue" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73f5e3d2, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xc8912da8, "__srcu_read_unlock" },
	{ 0x43b36cce, "sysfs_add_link_to_group" },
	{ 0xf160398c, "hwmon_device_unregister" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0x8c69bc2b, "alloc_pages_noprof" },
	{ 0x8fc024a2, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x9555d0e5, "queue_limits_commit_update" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x38417915, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3d838137, "blk_rq_map_user_iov" },
	{ 0xfb5ba38e, "setup_fault_attr" },
	{ 0xa1cc398c, "xa_find_after" },
	{ 0xc41f9aa0, "blk_mark_disk_dead" },
	{ 0x263c2260, "blk_mq_freeze_queue_nomemsave" },
	{ 0x28a4f640, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x09edaf05, "crypto_alloc_shash" },
	{ 0x14ab4702, "blk_mq_freeze_queue_wait" },
	{ 0xca6eb0e6, "debugfs_create_dir" },
	{ 0x85377063, "nvme_auth_gen_privkey" },
	{ 0xb3bbe94b, "fault_create_debugfs_attr" },
	{ 0x31ec657f, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xbd15c785, "blk_mq_requeue_request" },
	{ 0x858b1ff3, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb56f664, "cdev_init" },
	{ 0x1876875d, "bdev_end_io_acct" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xd27242bc, "blk_steal_bios" },
	{ 0x742e3409, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth,nvme-keyring,hwmon");


MODULE_INFO(srcversion, "6D188ABBDEB2B33262578CD");
