#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_find_device_by_of_node, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x01bc4fda, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0xf6649ff8, "_gpl");
SYMBOL_CRC(spmi_register_read, 0xaaa82fb3, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0x9a2a3499, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x579ccef9, "_gpl");
SYMBOL_CRC(spmi_register_write, 0xb7b8a69e, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0xa6b5e578, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0xec007eae, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x32b4c390, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0x8330ac54, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0x243092a3, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0x66c1fe76, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xfec71d5b, "_gpl");
SYMBOL_CRC(spmi_find_device_by_of_node, 0x1ba53a6b, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0xf794ba16, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x8eaea23a, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0x40fbdc49, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x94abb32f, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0x1b78fca4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x2cabe7c1, "bpf_trace_run5" },
	{ 0x76c28e38, "bpf_trace_run4" },
	{ 0x83861cf3, "bpf_trace_run3" },
	{ 0xe8f9ed95, "bpf_trace_run6" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0xd885cbd0, "device_add" },
	{ 0xa08ed9f4, "__dynamic_dev_dbg" },
	{ 0x71077f53, "_dev_err" },
	{ 0xaf3db39c, "device_unregister" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x85abc85f, "strncmp" },
	{ 0xa4f1fd87, "device_match_of_node" },
	{ 0x433d880f, "bus_find_device" },
	{ 0x28a508e0, "driver_register" },
	{ 0x2977531e, "bus_unregister" },
	{ 0x90e7d0ed, "bus_register" },
	{ 0x159e8c7c, "device_for_each_child" },
	{ 0x461290b4, "device_del" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x9bedb134, "device_initialize" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x543cb637, "put_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "51035E683F4965E13EB7751");
