#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(uart_write_wakeup, "", "");
KSYMTAB_FUNC(uart_update_timeout, "", "");
KSYMTAB_FUNC(uart_get_baud_rate, "", "");
KSYMTAB_FUNC(uart_get_divisor, "", "");
KSYMTAB_FUNC(uart_xchar_out, "_gpl", "");
KSYMTAB_FUNC(uart_suspend_port, "", "");
KSYMTAB_FUNC(uart_resume_port, "", "");
KSYMTAB_FUNC(uart_register_driver, "", "");
KSYMTAB_FUNC(uart_unregister_driver, "", "");
KSYMTAB_FUNC(uart_console_device, "_gpl", "");
KSYMTAB_FUNC(uart_match_port, "", "");
KSYMTAB_FUNC(uart_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(uart_handle_cts_change, "_gpl", "");
KSYMTAB_FUNC(uart_insert_char, "_gpl", "");
KSYMTAB_FUNC(uart_try_toggle_sysrq, "_gpl", "");
KSYMTAB_FUNC(uart_get_rs485_mode, "_gpl", "");
KSYMTAB_FUNC(uart_add_one_port, "", "");
KSYMTAB_FUNC(uart_remove_one_port, "", "");
KSYMTAB_FUNC(uart_read_port_properties, "_gpl", "");
KSYMTAB_FUNC(uart_read_and_validate_port_properties, "_gpl", "");

SYMBOL_CRC(uart_write_wakeup, 0xc7ed7478, "");
SYMBOL_CRC(uart_update_timeout, 0x3dc6e930, "");
SYMBOL_CRC(uart_get_baud_rate, 0x10c3d0e4, "");
SYMBOL_CRC(uart_get_divisor, 0x1f7b9e4f, "");
SYMBOL_CRC(uart_xchar_out, 0xa6d9037d, "_gpl");
SYMBOL_CRC(uart_suspend_port, 0x3166515e, "");
SYMBOL_CRC(uart_resume_port, 0xe33ea944, "");
SYMBOL_CRC(uart_register_driver, 0x4f95b08e, "");
SYMBOL_CRC(uart_unregister_driver, 0xde264ffa, "");
SYMBOL_CRC(uart_console_device, 0x87a3588f, "_gpl");
SYMBOL_CRC(uart_match_port, 0x75b108aa, "");
SYMBOL_CRC(uart_handle_dcd_change, 0xcfa70832, "_gpl");
SYMBOL_CRC(uart_handle_cts_change, 0xa5a14fee, "_gpl");
SYMBOL_CRC(uart_insert_char, 0x044cae95, "_gpl");
SYMBOL_CRC(uart_try_toggle_sysrq, 0x9b6f62ba, "_gpl");
SYMBOL_CRC(uart_get_rs485_mode, 0x59309dde, "_gpl");
SYMBOL_CRC(uart_add_one_port, 0x3881b3d0, "");
SYMBOL_CRC(uart_remove_one_port, 0x98c98f5a, "");
SYMBOL_CRC(uart_read_port_properties, 0x255ca3a4, "_gpl");
SYMBOL_CRC(uart_read_and_validate_port_properties, 0x56950177, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xa66e03d0, "dev_set_name" },
	{ 0x2c35db32, "tty_port_tty_set" },
	{ 0x1b474423, "platform_get_irq" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2beeff99, "tty_kref_put" },
	{ 0x01764957, "gpiod_set_value_cansleep" },
	{ 0x9bedb134, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x0bd394d8, "tty_termios_baud_rate" },
	{ 0x729679d8, "__tty_alloc_driver" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x2c663a51, "tty_standard_install" },
	{ 0x6e799935, "devm_gpiod_get_optional" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5f52325c, "tty_hangup" },
	{ 0x71f3f8e3, "tty_unregister_driver" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0xa08ed9f4, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x92997ed8, "_printk" },
	{ 0xef4ee45d, "_raw_spin_lock_irq" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf3fe8045, "__tracepoint_sched_set_state_tp" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x543cb637, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x6584bdcc, "device_property_read_u32_array" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x1687ec20, "tty_get_frame_size" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6eff2a11, "tty_port_tty_wakeup" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa18ee4eb, "_dev_alert" },
	{ 0x934d2ee0, "tty_port_unregister_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x2977531e, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x71077f53, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0xd885cbd0, "device_add" },
	{ 0x2339593d, "tty_ldisc_ref" },
	{ 0x82bb4dee, "tty_vhangup" },
	{ 0xdb501c70, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x102aad29, "__tty_insert_flip_string_flags" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xb4c36f81, "tty_port_destroy" },
	{ 0x1b3f4aa8, "tty_port_init" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1971257b, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x07221d43, "driver_unregister" },
	{ 0x0e4d595d, "__dev_fwnode_const" },
	{ 0x8c0caf39, "tty_ldisc_deref" },
	{ 0xdc8281f0, "device_find_child" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x461290b4, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xe46b20f5, "tty_port_register_device_attr_serdev" },
	{ 0x5379de72, "tty_port_close" },
	{ 0xd908ba9c, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xef45d32c, "__kfifo_init" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae04962a, "_dev_notice" },
	{ 0x41820187, "fwnode_property_present" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfb63df58, "irq_get_nr_irqs" },
	{ 0x95555d8b, "tty_register_driver" },
	{ 0x9ef9d289, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x52717532, "tty_name" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76c9b9c3, "seq_printf" },
	{ 0xde0c3d2f, "tty_port_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x14d7477f, "console_list_unlock" },
	{ 0xf186e7eb, "device_property_read_bool" },
	{ 0x675c6792, "register_console" },
	{ 0x4e4280bc, "dev_err_probe" },
	{ 0x08c06878, "__seq_puts" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb7eb9873, "fwnode_irq_get" },
	{ 0x6f14e9db, "console_list_lock" },
	{ 0x28a508e0, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d353791, "tty_driver_kref_put" },
	{ 0x9697051d, "__dev_fwnode" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x90e7d0ed, "bus_register" },
	{ 0xef0b24e6, "tty_port_tty_get" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "ABB1398DB93260E662F9040");
