#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa543f35, "inode_init_owner" },
	{ 0x18e7714c, "generic_fillattr" },
	{ 0x8df2ed4f, "setattr_prepare" },
	{ 0xb326e4aa, "iget_locked" },
	{ 0x18419b43, "clear_nlink" },
	{ 0x94488dc7, "generic_block_bmap" },
	{ 0x15fe3b45, "vmemmap" },
	{ 0x0156e174, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3dde6051, "clear_inode" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x390d44fd, "fs_param_is_string" },
	{ 0xa3a5be95, "memmove" },
	{ 0x1b129b03, "new_inode" },
	{ 0xba0d7e7e, "init_special_inode" },
	{ 0xf05ad1a0, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfe63dad6, "inode_set_flags" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbf9bf403, "__blockdev_direct_IO" },
	{ 0xbd1d0a45, "d_make_root" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x1bd5bcd1, "sb_set_blocksize" },
	{ 0x5a2fe73b, "sync_filesystem" },
	{ 0xacead468, "d_splice_alias" },
	{ 0x5050db12, "load_nls_default" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2e8a526d, "ihold" },
	{ 0x74a5d751, "inode_dio_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0x306e5228, "read_cache_page" },
	{ 0xccf18d5c, "cont_write_begin" },
	{ 0xc12ee7ae, "iput" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x407cfec2, "generic_file_write_iter" },
	{ 0x2423526e, "register_filesystem" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0xf1f069fc, "sync_inode_metadata" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x9cd8f88b, "simple_inode_init_ts" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x1789fab1, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9d794f06, "fs_param_is_u32" },
	{ 0x9b161758, "kill_block_super" },
	{ 0x33e933ab, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb68535d4, "block_invalidate_folio" },
	{ 0x8c273d47, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3c6af35, "load_nls" },
	{ 0x37d5e02b, "generic_cont_expand_simple" },
	{ 0x5008b35c, "try_to_free_buffers" },
	{ 0x167cde82, "make_kuid" },
	{ 0x65dbe372, "truncate_inode_pages_final" },
	{ 0x6b7503ae, "generic_file_mmap" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x035dbbd1, "inode_init_once" },
	{ 0xeb031848, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb4b40bf0, "mark_page_accessed" },
	{ 0x48d4f4d4, "cdrom_read_tocentry" },
	{ 0xe514cc79, "seq_escape_mem" },
	{ 0x12eff715, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3e8e7c21, "inode_nohighmem" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xdec3462d, "generic_file_read_iter" },
	{ 0x08deb27e, "truncate_pagecache" },
	{ 0xe76c61fa, "page_symlink" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4ae4a1d0, "setattr_copy" },
	{ 0x77651832, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x30651017, "kmem_cache_alloc_lru_noprof" },
	{ 0x738fbf54, "kmem_cache_free" },
	{ 0x85abc85f, "strncmp" },
	{ 0x65c02706, "security_inode_init_security" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x1971257b, "seq_putc" },
	{ 0x9bf92863, "from_kgid" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xdcf046a1, "cdrom_multisession" },
	{ 0x3c9cb81b, "blkdev_issue_zeroout" },
	{ 0x51d4a869, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3938e770, "bio_add_page" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x3a5abd5b, "block_dirty_folio" },
	{ 0x9679e7f4, "inode_add_bytes" },
	{ 0x6750cebe, "from_kuid" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x4024ef04, "__insert_inode_hash" },
	{ 0x59e5d9fd, "buffer_migrate_folio" },
	{ 0x92909ac7, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x032329bc, "make_kgid" },
	{ 0x1dfc0180, "__kmem_cache_create_args" },
	{ 0x8f366ee0, "from_kgid_munged" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x5ded31e9, "truncate_setsize" },
	{ 0xdcc79d82, "set_page_dirty" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xfa85272c, "block_read_full_folio" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x622e73aa, "generic_read_dir" },
	{ 0xcd0207ee, "page_symlink_inode_operations" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2ffaa30d, "init_user_ns" },
	{ 0xfea17b3c, "inode_set_ctime_current" },
	{ 0xe1cb75a6, "inc_nlink" },
	{ 0xaf7b3a91, "seq_write" },
	{ 0x7952225c, "__folio_put" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x9b1c6095, "get_tree_bdev" },
	{ 0x76c9b9c3, "seq_printf" },
	{ 0x9633f35f, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed39049e, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x87c2bcad, "__fs_parse" },
	{ 0x9d8d491c, "filemap_splice_read" },
	{ 0x1cf9c244, "from_kuid_munged" },
	{ 0x48a5347a, "d_parent_ino" },
	{ 0x54a084cb, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x94465dbf, "__mark_inode_dirty" },
	{ 0x9c561410, "generic_file_llseek" },
	{ 0x14416226, "bio_alloc_bioset" },
	{ 0x502f185c, "unload_nls" },
	{ 0x52187689, "submit_bio_wait" },
	{ 0xfca93702, "sb_min_blocksize" },
	{ 0xe2f046af, "drop_nlink" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x107adcdf, "inode_set_ctime_to_ts" },
	{ 0x410bed1c, "iget_failed" },
	{ 0x3eef5ebc, "fs_bio_set" },
	{ 0x742e3409, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "9642C66DF3ED2275A60DB5C");
