#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x4db7f8f3, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x19c2c676, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x21ce5df1, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x2db99fa6, "_gpl");
SYMBOL_CRC(dccp_death_row, 0xd9fe9ad6, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xd8f186b9, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x5175d754, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xf00858d7, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x865cb1ed, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xe862bd77, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x74ea54ea, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x8bc9d848, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xc4b25bd5, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x3a082f35, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x6339e45c, "_gpl");
SYMBOL_CRC(dccp_connect, 0x247d3ddf, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xf55b2a5b, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xd25a1d86, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x2b0fdb6b, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x5d6786f7, "_gpl");
SYMBOL_CRC(dccp_done, 0xbdd474bd, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xe60fefce, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x994377bc, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x09c87eff, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x1bd3bbf8, "_gpl");
SYMBOL_CRC(dccp_poll, 0xea4b04b5, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xdac1b3aa, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x8b02928d, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xeba3f11d, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0x563eafdf, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x83a3c5c8, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xe27a1a64, "_gpl");
SYMBOL_CRC(dccp_close, 0x3917a162, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x93f3b175, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x60899067, "inet_hashinfo2_init_mod" },
	{ 0x3d09e702, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xebe9b77a, "inet_ehash_locks_alloc" },
	{ 0xf1c5de83, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xaea13b84, "consume_skb" },
	{ 0x257aa783, "sock_wmalloc" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0xcdc60950, "skb_dequeue" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x630f63b4, "_raw_write_lock_bh" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0x3d5c9351, "__kmalloc_node_track_caller_noprof" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0x0db536a4, "proc_dointvec_ms_jiffies" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6bd2f854, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x789fa068, "inet_csk_clear_xmit_timers" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x45386e24, "inet_twsk_alloc" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xb72850e2, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0x00498843, "register_net_sysctl_sz" },
	{ 0x58dfea3e, "inet_sock_destruct" },
	{ 0x09c87b7c, "inet_put_port" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x70a2ba25, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x90eb062c, "__alloc_skb" },
	{ 0x3ca2581d, "sk_reset_timer" },
	{ 0x907beaf9, "skb_queue_tail" },
	{ 0x5e1bfbc1, "sk_stream_wait_close" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0x15ee2afd, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c842324, "sk_skb_reason_drop" },
	{ 0x95a4e772, "sk_free" },
	{ 0xe1ffc970, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7ee6ea0a, "skb_push" },
	{ 0x738fbf54, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0456b616, "proc_doulongvec_minmax" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xc8aba9cd, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x633e5665, "skb_copy_datagram_iter" },
	{ 0x30e3d006, "skb_checksum" },
	{ 0xe93dffab, "sk_wait_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x022177c3, "inet_csk_clone_lock" },
	{ 0x92909ac7, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0xa59b0e98, "inet_twsk_hashdance_schedule" },
	{ 0x1dfc0180, "__kmem_cache_create_args" },
	{ 0x643c59b4, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xcf65381f, "inet_csk_listen_start" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x123de64f, "sk_free_unlock_clone" },
	{ 0xe410f7ca, "sock_rfree" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0xf743c6b3, "skb_set_owner_w" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b63c1ff, "param_ops_bool" },
	{ 0x517976cb, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x2d70620b, "skb_clone" },
	{ 0x75397a45, "inet_sk_set_state" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x602dcaed, "dst_release" },
	{ 0xa1dcb1bf, "sk_stream_wait_connect" },
	{ 0xa7607ef6, "_copy_from_iter" },
	{ 0xe0680ff9, "inet_csk_destroy_sock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x4ae54fe7, "sk_stop_timer" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x5af85a7b, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x08f614d1, "param_ops_int" },
	{ 0x7a5ec102, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x87a62c34, "inet_csk_listen_stop" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xf1127eb9, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0x742e3409, "kmem_cache_destroy" },
	{ 0xa3360c2d, "inet_csk_complete_hashdance" },
	{ 0xe682c758, "release_sock" },
	{ 0x3c0554cf, "inet_csk_reqsk_queue_drop" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "52595C13655A76FDF764534");
