#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xcf622cf4, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x69fe0e60, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xb5ff5669, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xb47010e1, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x249b58df, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x26d3aef3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3b51aa6, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x47b15313, "nsh_pop" },
	{ 0x23de3141, "nf_conntrack_find_get" },
	{ 0x2d8f60e3, "nf_ct_set_timeout" },
	{ 0xa74d12de, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0xedbaad2b, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x71c8cdf8, "dev_fill_metadata_dst" },
	{ 0x76c28e38, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x3da8d508, "skb_copy_bits" },
	{ 0x8e161185, "nf_ct_handle_fragments" },
	{ 0x3951f961, "eth_mac_addr" },
	{ 0xf1c5de83, "skb_put" },
	{ 0xf935651f, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdf149a94, "nsh_push" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xaea13b84, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0x2cccddb1, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6f2d0d5f, "skb_eth_pop" },
	{ 0x5f04c65a, "trace_raw_output_prep" },
	{ 0xa4b0234c, "skb_gso_validate_mac_len" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x1dc949da, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x673fbe0d, "nf_ct_helper" },
	{ 0x85673feb, "__trace_trigger_soft_disabled" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0xc72d587b, "trace_event_printf" },
	{ 0x1a34141b, "rtnl_delete_link" },
	{ 0x4a2e2c8b, "rtnl_link_register" },
	{ 0x0c1604e2, "nf_connlabels_put" },
	{ 0x4ed023b4, "genlmsg_put" },
	{ 0x22ec5bfb, "___pskb_trim" },
	{ 0x74f79405, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xbb3f93e2, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f6df8ca, "dev_set_promiscuity" },
	{ 0x1ad8d205, "nf_ct_destroy_timeout" },
	{ 0x70daa013, "nf_ct_add_helper" },
	{ 0x97749692, "nf_conntrack_helper_put" },
	{ 0x11e83cec, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x0ad6d6c2, "nf_ct_skb_network_trim" },
	{ 0x234dfef0, "unregister_netdevice_queue" },
	{ 0x8b7141d3, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x49672828, "node_states" },
	{ 0x2afe9611, "ether_setup" },
	{ 0xe831f73b, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xfa35e5ce, "pskb_expand_head" },
	{ 0x7a4246ca, "skb_csum_hwoffload_help" },
	{ 0xb1b7ec61, "trace_event_buffer_commit" },
	{ 0x1e76391c, "dev_addr_mod" },
	{ 0x5c8ebd04, "nf_connlabels_replace" },
	{ 0xfb667715, "eth_type_trans" },
	{ 0xfc01920a, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x64aa4d1b, "nf_connlabels_get" },
	{ 0x9a282d29, "drop_reasons_unregister_subsys" },
	{ 0x91b671ef, "netdev_rx_handler_unregister" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd350b7f8, "skb_eth_push" },
	{ 0x778e28e6, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x90eb062c, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb831371b, "skb_mpls_pop" },
	{ 0x9cc24ed3, "skb_vlan_pop" },
	{ 0x520cdf34, "dst_init" },
	{ 0xadb86a25, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x336cd516, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x0983bb4a, "rtnl_link_unregister" },
	{ 0x87c91edf, "perf_trace_run_bpf_submit" },
	{ 0x6ccc34dd, "sort" },
	{ 0x80620dbb, "ipv6_stub" },
	{ 0x9afb059f, "skb_mpls_update_lse" },
	{ 0x89b46e28, "skb_pull" },
	{ 0x4e8aab1c, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9c842324, "sk_skb_reason_drop" },
	{ 0xa0ec8f87, "netlink_unicast" },
	{ 0x2cabe7c1, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x29030d01, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7ee6ea0a, "skb_push" },
	{ 0x738fbf54, "kmem_cache_free" },
	{ 0xb17c7514, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x55c6902b, "trace_event_reg" },
	{ 0xb70db2a0, "skb_ensure_writable" },
	{ 0xdf0b0967, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x40badcdf, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x646f6eec, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0c18eaec, "ethtool_op_get_link" },
	{ 0x6daaa977, "__nf_conntrack_confirm" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x71a89170, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x92909ac7, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x93b0037c, "__pskb_pull_tail" },
	{ 0x3016a875, "nf_ct_delete" },
	{ 0xcfc1c440, "nf_conncount_init" },
	{ 0xc9d6438e, "skb_vlan_push" },
	{ 0x0e18215e, "netif_rx" },
	{ 0x0ae35c86, "__netdev_alloc_skb" },
	{ 0x1dfc0180, "__kmem_cache_create_args" },
	{ 0x701a9bda, "netdev_master_upper_dev_link" },
	{ 0xff74cb02, "skb_zerocopy_headlen" },
	{ 0xdd40a6a0, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x2674797d, "inet_proto_csum_replace16" },
	{ 0xe201be4e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc5d5d1f0, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28564dfc, "nf_ct_deliver_cached_events" },
	{ 0xa419bfc3, "ipv6_find_hdr" },
	{ 0x5a421777, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x09744eab, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0xf75facc0, "trace_event_buffer_reserve" },
	{ 0x2416bf39, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x22ca5100, "inet_proto_csum_replace4" },
	{ 0x628439b8, "nf_conncount_destroy" },
	{ 0xdaedd046, "crc32c_shift" },
	{ 0x0c6ef6bd, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc4142973, "__kmalloc_cache_noprof" },
	{ 0x97cda950, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8c89f63d, "dev_get_by_name" },
	{ 0x2d70620b, "skb_clone" },
	{ 0x3347969f, "metadata_dst_alloc" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x602dcaed, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f7d2d3b, "peernet2id_alloc" },
	{ 0x672cf23f, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3d6ca9fd, "netdev_rx_handler_register" },
	{ 0x31300f6b, "ip_do_fragment" },
	{ 0xc2768784, "crc32c_arch" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x728bdfb3, "genl_unregister_family" },
	{ 0xd29c124d, "dev_disable_lro" },
	{ 0xfc5ca870, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x5da38785, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x01ef571d, "genl_register_family" },
	{ 0xdcf56d61, "nf_ct_tmpl_free" },
	{ 0xeac02de5, "netlink_has_listeners" },
	{ 0x0332c029, "kmalloc_size_roundup" },
	{ 0x31ec657f, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x1211a48c, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0xa82b2372, "skb_mpls_push" },
	{ 0x0b44e3c4, "register_pernet_device" },
	{ 0xfc60c7eb, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x40719050, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x742e3409, "kmem_cache_destroy" },
	{ 0x2f1d0813, "__skb_vlan_pop" },
	{ 0x5c87ff24, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x39064a5f, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xf9e09f3e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "FBB7CDBAF2054A26CE294FF");
